# Yac::add

(PECL yac >= 1.0.0)

Yac::add — Guardar en caché

### Descripción

public Yac::add(string `$keys`, mixed `$value`, int `$ttl` = 0): bool
public Yac::add(array `$key_vals`): bool

Añadir un artículo al caché.

### Parámetros

`keys`

  string clave

`value`

  valor mixto, Todo tipo de valor php podría ser almacenado excepto recurso

`ttl`

  tiempo de expiración

### Valores devueltos

bool, `true` en caso de éxito, `false` en caso de fallar.

> Nota:

> Yac::add() puede fallar si el casillero no se puede obtener, así que, si necesitas que el valor se almacene correctamente, puedes escribir códigos como:

> Ejemplo #1 Asegúrate de que el artículo se almacene

> `while(!$yac->set("key", "vale));`